curl --request GET \
--url https://api.grainfinance.co/v1/payouts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.grainfinance.co/v1/payouts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.grainfinance.co/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payouts": [
{
"id": "8173b9a7-ee61-413e-b9e3-7c04b2a067c5",
"status": "in_process",
"externalPayoutId": "inv_2026_001",
"currency": "USD",
"amount": 5000,
"fee": 1.5,
"totalAmount": 5001.5,
"reason": 2,
"description": "<string>",
"payoutDate": "2026-05-15",
"payoutMethod": "SEPA",
"vendorDetails": {
"vendorId": "1b0ada1e-fa1b-4cfe-a553-01b340c5650e",
"vendorName": "Acme Supplies Ltd",
"externalVendorId": "vendor_001",
"bankDetails": {
"accountHolderName": "Acme Payments Ltd",
"accountNumber": "8290041523",
"bankName": "JPMorgan Chase Bank, N.A.",
"bankAddress": "383 Madison Avenue, New York, NY 10017",
"bankCountry": "US",
"bankState": "NY",
"iban": "<string>",
"bicSwift": "CHASUS33XXX",
"routingCode": "<string>",
"bankCode": "<string>",
"branchCode": "<string>",
"sortCode": "560036",
"bsbCode": "082902"
}
}
}
],
"pagination": {
"page": 2,
"perPage": 50.5,
"totalResults": 123
}
}{
"message": "Can't perform this action",
"reason": "Supplied object is in *Cancelled* state, which prevents performing this action"
}List Payouts
Lists payouts for the partner, most recent first. Supports filtering by status, currency, vendor, payout reference, and payout-date range.
Authorizations
Basic authentication using the partner API keys from https://console.grainfinance.co/keys
Query Parameters
Filter by payout status.
in_process, sent, paid, failed, rejected Filter by the alpha-3 ISO 4217 currency code of the payout. The alpha-3 ISO 4217 currency code of the related entity, in upper case.
^[A-Z]{3}$"EUR"
Filter by your own reference number for the payout. Partner's own reference number for this payout.
^[A-Za-z0-9_.\-]{1,64}$"inv_2026_001"
Filter by your own reference id for the vendor. Partner's own reference ID for the vendor.
^[A-Za-z0-9_.\-]{1,64}$"vendor_001"
Earliest payout date to include, in YYYY-MM-DD format.
Latest payout date to include, in YYYY-MM-DD format.
Page number indicating which set of items to return. The page indicating which set of items are returned
x >= 1number of items in a page
1 <= x <= 100